model:
  name: 'efficientnet_b4'
  pretrained: True
  num_train_classes: 324

data:
  type: 'image'
  source: 'config_dataset'
  coco_dir: '/data/db/fin_dorsal_coco/'
  height: 256
  width: 256
  transforms_train: ['resize', 'random_affine', 'color_jitter', 'random_grayscale']
  transforms_test: ['resize']
  version: 'v1'

loss:
  name: 'triplet'
  triplet:
    weight_t: 1.
    weight_x: 1.
  softmax:
    label_smooth: True

sampler:
  num_instances: 3
  num_copies: 4

train:
  optim: 'adam'
  lr: 0.00001724242846100241
  max_epoch: 400 
  batch_size: 24
  fixbase_epoch: 1
  open_layers: ['fc', 'classifier']
  lr_scheduler: 'multi_step'
  stepsize: [500]

test:
  batch_size: 24
  dist_metric: 'euclidean'
  normalize_feature: False
  evaluate: False
  eval_freq: 10
  rerank: False
  ranks: [1, 5, 12, 20]
  visrank_topk: 5
  visrank_resize: False
  fliplr: True
  fliplr_view: ['left']